gnutls_ocsp_req_add_cert_id(3)

NAME
gnutls_ocsp_req_add_cert_id - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_req_add_cert_id(gnutls_ocsp_req_t req, gnutls_digest_algorithm_t digest, const gnutls_datum_t * issuer_name_hash, const gnutls_datum_t * issuer_key_hash, const gnutls_datum_t * serial_number);

ARGUMENTS

gnutls_ocsp_req_t req
    should contain a gnutls_ocsp_req_t structure

gnutls_digest_algorithm_t digest
    hash algorithm, a gnutls_digest_algorithm_t value

const gnutls_datum_t * issuer_name_hash
    hash of issuer's DN

const gnutls_datum_t * issuer_key_hash
    hash of issuer's public key

const gnutls_datum_t * serial_number
    serial number of certificate to check

DESCRIPTION
This function will add another request to the OCSP request for a particular certificate having the issuer name hash of
 issuer_name_hash and issuer key hash of issuer_key_hash (both hashed using digest ) and serial number serial_number . The information needed corresponds to the CertID structure: <informalexample><programlisting> CertID ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier, issuerNameHash OCTET STRING, -- Hash of Issuer's DN issuerKeyHash OCTET STRING, -- Hash of Issuers public key serialNumber CertificateSerialNumber } </programlisting></informalexample>

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/